# class Puppet::ModuleTool::Errors::InstallPathExistsNotDirectoryError

### Public Class Methods

new(original, options) click to toggle source
Calls superclass method Puppet::Error.new

    # File lib/puppet/module_tool/errors/installer.rb, line 76
    def initialize(original, options)
      @requested_module  = options[:requested_module]
      @requested_version = options[:requested_version]
      @directory         = options[:directory]
      super("'#{@requested_module}' (#{@requested_version}) requested; Path #{@directory} is not a directory.", original)
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/installer.rb, line 83
        def multiline
          "Could not install module '#{@requested_module}' (#{@requested_version})
      Path '#{@directory}' exists but is not a directory.
      A potential solution is to rename the path and then
      mkdir -p '#{@directory}'
    ".strip
        end